Page MenuHomePhabricator

nodemap: move on disk file to version 1
ClosedPublic

Authored by marmoute on Apr 14 2020, 11:48 AM.

Details

Summary

The current format contains the information we need, lets freeze it before the
release.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 14 2020, 11:48 AM
marmoute updated this revision to Diff 21094.Apr 15 2020, 7:59 AM
durin42 added inline comments.
mercurial/revlogutils/nodemap.py
269–270

I feel like this comment is outdated? please send a follow-up (even if it's for stable after the freeze) on this.

marmoute updated this revision to Diff 21147.Apr 16 2020, 1:14 PM

good catch, I updated the diff.

Alphare accepted this revision.Thu, May 7, 9:03 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.